Mail::Box::Locker::Multi(3)

NAME
Mail::Box::Locker::Multi - lock a folder in all ways which work

INHERITANCE
 Mail::Box::Locker::Multi
   is a Mail::Box::Locker
   is a Mail::Reporter

SYNOPSIS
 See Mail::Box::Locker

DESCRIPTION
The "::Multi" locker locks a folder in each way it can. This way, the chance is highest that any other program will leave the folder alone during our access to it.

NFS-lock and Flock are tried. More may be added when the ways to lock are extended. DotLock overlaps with NFS-lock, but NFS-lock is safer, so that version is preferred.

Extends "DESCRIPTION" in Mail::Box::Locker.

METHODS
Extends "METHODS" in Mail::Box::Locker.

  Constructors
Extends "Constructors" in Mail::Box::Locker.

Mail::Box::Locker::Multi->new(%options)
    You may also pass all %options understood by the initiated lockers used by the multi locker.

     -Option --Defined in       --Default
      expires  Mail::Box::Locker  1 hour
      file     Mail::Box::Locker  undef
      folder   Mail::Box::Locker  <undef>
      log      Mail::Reporter     'WARNINGS'
      method   Mail::Box::Locker  'MULTI'
      timeout  Mail::Box::Locker  10
      trace    Mail::Reporter     'WARNINGS'
      use                         <all possible>

    expires => SECONDS
    file => FILENAME
    folder => FOLDER
    log => LEVEL
    method => STRING|CLASS|ARRAY
    timeout => SECONDS|'NOTIMEOUT'
    trace => LEVEL
    use => ARRAY-of-(NAMES|LOCKER)
        Array of locker type NAMES or LOCKER objects to be used to lock one folder. The type NAMES are converted into objects. When you create your own LOCKER objects, be sure to set the timeout very short (preferably to 1).

        Some locking types are not available on some platforms, so they will not be excluded from the default list (NFS POSIX Flock).

    example: using a subset of multi-lockers

     my $locker = Mail::Box::Locker::Multi->new(use => ['DOTLOCK','FLOCK']);

  Attributes
Extends "Attributes" in Mail::Box::Locker.

$obj->expires( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->timeout( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

  The Locker
Extends "The Locker" in Mail::Box::Locker.

$obj->filename( [$filename] )
    Inherited, see "The Locker" in Mail::Box::Locker

$obj->folder( [$folder] )
    Inherited, see "The Locker" in Mail::Box::Locker

$obj->lockers()
    Returns a list with all locker objects used by this object.

$obj->name()
    Inherited, see "The Locker" in Mail::Box::Locker

  Locking
Extends "Locking" in Mail::Box::Locker.

$obj->hasLock()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->isLocked()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->lock($folder)
    Inherited, see "Locking" in Mail::Box::Locker

$obj->unlock()
    Inherited, see "Locking" in Mail::Box::Locker

  Error handling
Extends "Error handling" in Mail::Box::Locker.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->addReport($object)
    Inherited, see "Error handling" in Mail::Reporter

$obj->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
Mail::Box::Locker::Multi->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->errors()
    Inherited, see "Error handling" in Mail::Reporter

$obj->log( [$level, [$strings]] )
Mail::Box::Locker::Multi->log( [$level, [$strings]] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->logPriority($level)
Mail::Box::Locker::Multi->logPriority($level)
    Inherited, see "Error handling" in Mail::Reporter

$obj->logSettings()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

$obj->report( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->reportAll( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->trace( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->warnings()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Box::Locker.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Box::Locker

DIAGNOSTICS

Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

SEE ALSO
This module is part of Mail-Box distribution version 3.008, built on October 04, 2019. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2019 by [Mark Overmeer]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/